Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158655 - tla fails to rebuild on ppc
Summary: tla fails to rebuild on ppc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tla
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shahms E. King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE4Target 162024 164573 165526
TreeView+ depends on / blocked
 
Reported: 2005-05-24 15:55 UTC by Jeremy Katz
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 1.3.3-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-01 22:43:21 UTC


Attachments (Terms of Use)
full build log for ppc failure (deleted)
2005-05-24 16:43 UTC, Colin Charles
no flags Details

Description Jeremy Katz 2005-05-24 15:55:54 UTC
tla fails to rebuild on ppc
http://extras64.linux.duke.edu/failed/development/tla/1.3.2-6/ppc/

Comment 1 Shahms E. King 2005-05-24 16:08:15 UTC
That build log is completely useless for determining why the build failed.  I
have no access to a PPC machine and cannot investigate any further until the
failure log has more information than "build failed: there is more information
in a local file that you cannot read".

Comment 2 Colin Charles 2005-05-24 16:39:56 UTC
Well, I'm attaching a build log thats not completely useless now then.
Basically, software builds mostly fine (warnings are aplenty), but come to a
test for archive creation, it just segfaults on ppc. Where it breaks:

======= TESTING: Simple Archive creation =======
Test 1: Archive creation 1
Test 1: PASS
Test 2: Archive creation 2 (with listing)
/home/byte/cvs/tla/devel/tla-1.3.2/src/tla/tests/test-framework: line 26: 11130
Segmentation fault      ${builddir}/../tla/tla "$@"
make[3]: *** [tests-timestamp] Error 139
make[3]: Leaving directory `/home/byte/cvs/tla/devel/tla-1.3.2/src/=build/tla/tests'
make[2]: *** [test] Error 2
make[2]: Leaving directory `/home/byte/cvs/tla/devel/tla-1.3.2/src/=build/tla'
make[1]: *** [test] Error 2
make[1]: Leaving directory `/home/byte/cvs/tla/devel/tla-1.3.2/src/=build'
error: Bad exit status from /home/byte/rpm/tmp/rpm-tmp.47077 (%check)


Comment 3 Colin Charles 2005-05-24 16:43:59 UTC
Created attachment 114785 [details]
full build log for ppc failure

very large, unbziped, is ~4+mb

Comment 4 Jeremy Katz 2005-05-25 22:31:14 UTC
Backtrace from gdb for the crash

(gdb) bt
#0  0x10061ca4 in rel_add_records (table=0xffb4d1e8)
    at /root/tla/devel/tla-1.3.2/src/tla/libawk/relational.c:340
#1  0x1005f6d8 in directory_files (path=Variable "path" is not available.
)
    at /root/tla/devel/tla-1.3.2/src/tla/libfsutils/dir-listing.c:29
#2  0x1005415c in pfs_directory_files (p=Variable "p" is not available.
)
    at /root/tla/devel/tla-1.3.2/src/tla/libarch/pfs-fs.c:247
#3  0x100392d8 in arch_pfs_directory_files (pfs=Variable "pfs" is not available.)
    at /root/tla/devel/tla-1.3.2/src/tla/libarch/pfs.c:258
#4  0x100398f0 in arch_pfs_update_listing_file (session=0x100f8208,
    dir=0x100f8218 "test-archive2/=meta-info")
    at /root/tla/devel/tla-1.3.2/src/tla/libarch/pfs.c:389
#5  0x10039fe0 in arch_pfs_pfs_make_archive (
    name=0x100f80f8 "jane@example.com--2003b",
    uri=0x100f8130
"/root/tla/devel/tla-1.3.2/src/=build/tla/tests/workdir/test-2-workdir/test-archive2",
version=0x100f80d8 "Bazaar archive format 1 0",
    mirror_of=Variable "mirror_of" is not available.
) at /root/tla/devel/tla-1.3.2/src/tla/libarch/pfs.c:186
#6  0x48022442 in ?? ()
#7  0x10059a60 in arch_pfs_make_archive (name=Variable "name" is not available.
)
    at /root/tla/devel/tla-1.3.2/src/tla/libarch/archive-pfs.c:221
#8  0x10048ea4 in arch_make_archive (
    name=0x100f80f8 "jane@example.com--2003b",
    location=0x100f8130
"/root/tla/devel/tla-1.3.2/src/=build/tla/tests/workdir/test-2-workdir/test-archive2",
mirror_of=0x0, dot_listing_lossage=1,
    signed_archive=0, tla_archive=Variable "tla_archive" is not available.
)
    at /root/tla/devel/tla-1.3.2/src/tla/libarch/archive.c:78
#9  0x10013984 in arch_cmd_make_archive (program_name=Variable "program_name" is
not available.
)
    at /root/tla/devel/tla-1.3.2/src/tla/libarch/cmd-make-archive.c:246
#10 0x48000442 in ?? ()
#11 0x10002ca0 in main (argc=6, argv=Variable "argv" is not available.
)
    at /root/tla/devel/tla-1.3.2/src/tla/tla/tla.c:84

Comment 5 Ville Skyttä 2006-02-01 22:43:21 UTC
1.3.3-3 built fine on all archs about 6 weeks ago.


Note You need to log in before you can comment on or make changes to this bug.